Edit

Get customer defaultDimensions

Gets the default dimensions of the customer in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline. The following example gets the default dimensions of the customer entity in the response body.

GET businesscentralPrefix/companies({companyId})/customers({customerId})/defaultDimensions

Request header

Header Value
Authorization Bearer {token}. Required.

Request body

Don't supply a request body for this method.

Response

If successful, this method returns a 200 OK response code and the default dimensions in the response body.

Example

Request Here's an example of a request.

GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/customers({customerId})/defaultDimensions

Response
Here's an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "@odata.context":"https://api.businesscentral.dynamics.com/v2.0/api/v2.0/$metadata#companies(5106c77d-af37-4e2d-bb88-45d87aba1033)/customers(b3fbe87a-61b8-4a6c-85de-0555f1627a67)/defaultDimensions",
    "value":
    [
        {
            "@odata.etag":"W/\"JzQ0OzNPaHFuS0ZQdk5oc3ZkSW9KdzVkdXk2LytjcmNqeHJJOU05SjZ1aFBYVjQ9MTswMDsn\"",
            "parentId":"b3fbe87a-61b8-4a6c-85de-0555f1627a67","dimensionId":"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a",
            "dimensionCode":"DEPARTMENT",
            "dimensionValueId":"1045a902-070a-4d31-b2b1-b9431e9e5b26",
            "dimensionValueCode":"PROD",
            "postingValidation":"Same Code"
        }
    ]
} 

Tips for working with the APIs
Customers
Create customer defaultDimensions
Update customer defaultDimensions
Delete customer defaultDimensions